/*
 * user.cpp
 *
 *  Created on: 27 мая 2015 г.
 *      Author: nick
 */
#include <user.h>
#include <httpd.h>



class MyHTTPD: public HTTPD {
private:
	Realm *area3;
protected:
	virtual bool handleAuth(Realm *realm,const char *user, const char *password);
public:
	MyHTTPD() : HTTPD(80,25000) {
		area3 = new Realm("Secure area 3","/area3");
	}
	virtual void readSecuritySettings();
};

void MyHTTPD::readSecuritySettings() {
	HTTPD::readSecuritySettings();
	addRealm(area3);
}

bool MyHTTPD::handleAuth(Realm *realm,const char *user, const char *password) {
	if(realm == area3) // Если это созданный динамически реалм
		return strcmp(user,"user3") == 0 && strcmp(password,"pass3") == 0;
	return HTTPD::handleAuth(realm,user,password);
}

void setup(const bool reset) {
	new VFS(VFS_USE_MAX_SIZE);
	SocketServer->registerSocketListener(new MyHTTPD());
	IP4Address address = { 192,168,0,100};
	IP4Address mask = { 255,255,255,0};
	SocketServer->configure(true,address,mask);
}

void onIdle() {
}


bool acceptConnection(const EthernetAddress hwAddr, const IP4Address ipAddr) {
	return true;
}
