/*
 * user.cpp
 *
 *  Created on: 27 мая 2015 г.
 *      Author: nick
 */
#include <user.h>
#include <httpd.h>



class MyHTTPD: public HTTPD {
protected:
	virtual void handleRequest(Socket *socket,char *path);
public:
	MyHTTPD() : HTTPD(80,25000) {	}
};

void MyHTTPD::handleRequest(Socket *socket,char *path) {
	if(getParam(socket,"led")) { // если присутствует параметр led
		bool state = strcmp(getParam(socket,"state"),"on") == 0;
		OUT *led = NULL;
		if(strcmp(getParam(socket,"led"),"green") == 0)
			led = System->led(GREEN);
		else
			if(strcmp(getParam(socket,"led"),"yellow") == 0)
				led = System->led(YELLOW);
		if(led == NULL) { // если мы указали неверный цвет, то выдаем ошибку Access denied
			sendError(socket,s403);
			return; // выход обязателен, в этот момент сокет уже закрыт
		}
		state ? led->on() : led->off();
	}
	HTTPD::handleRequest(socket,path);
}


void setup(const bool reset) {
	new VFS(VFS_USE_MAX_SIZE);
	SocketServer->registerSocketListener(new MyHTTPD());
	IP4Address address = { 192,168,0,100};
	IP4Address mask = { 255,255,255,0};
	SocketServer->configure(true,address,mask);
}



bool acceptConnection(const EthernetAddress hwAddr, const IP4Address ipAddr) {
	return true;
}
